Entities\AlbumResource:
    type: entity
    table: album_resources
    repositoryClass: Repositories\AlbumResourceRepository
    id:
        id:
            type: integer
            generator:
                strategy: AUTO

    manyToOne:
        album:
            targetEntity: Entities\Album
        resource:
            targetEntity: Entities\Resource
    lifecycleCallbacks: { }